
Name:          sslext
Version:       1.2
Release:       %mkrel 1
Summary:       Struts SSL Switching Extension
Group:         Development/Java
License:       ASL 1.1
Url:           http://sslext.sourceforge.net/
#cvs -d:pserver:anonymous@sslext.cvs.sourceforge.net:/cvsroot/sslext login
#cvs -z3 -d:pserver:anonymous@sslext.cvs.sourceforge.net:/cvsroot/sslext co -P sslext120 sslext-1.2
# rm -rf $(find . -name "CVS")
# rm -rf $(find . -name "*.zip")
# rm -rf $(find . -name "*.gz")
# rm -rf $(find . -name "*.jar")
# web/WEB-INF/lib/commons-beanutils.jar
# web/WEB-INF/lib/commons-collections.jar
# web/WEB-INF/lib/commons-digester.jar
# web/WEB-INF/lib/commons-fileupload.jar
# web/WEB-INF/lib/commons-logging.jar
# web/WEB-INF/lib/commons-validator.jar
# web/WEB-INF/lib/jakarta-oro.jar
# web/WEB-INF/lib/sslext.jar
# web/WEB-INF/lib/struts.jar
# mv sslext120 sslext-1.2
# tar czf sslext-1.2-src-cvs.tar.gz sslext-1.2
Source0:       sslext-1.2-src-cvs.tar.gz
Source1:       sslext-1.2-0-pom.xml

Patch0:        sslext-1.2-build_xml.patch
Patch1:        sslext-1.2-SecureRequestUtils.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-fileupload
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-validator
BuildRequires: jakarta-oro
BuildRequires: servletapi4
BuildRequires: struts

Requires:      struts

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Extension to the Apache Jakarta Struts framework that allows developers to configure web
applications to automatically switch between the http and https protocols. Configuration
is performed within the Struts config xml file.

%prep
%setup -q -n sslext-%{version}
chmod -R go=u-w *

for f in $(find . -name "*.jar"); do
  mv $f $f.no
done

for j in $(find . -name "*.bak"); do
  rm -rf $j
done

mkdir -p web/WEB-INF/classes
%patch0 -p0
%patch1 -p0

%build

export CLASSPATH=$(build-classpath servletapi4)
ant compile make-jar

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 web/WEB-INF/lib/sslext.jar %{buildroot}%{_javadir}

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*


%changelog

* Sat Oct 29 2011 gil <gil> 1.2-1.mga2
+ Revision: 159348
- imported package sslext

